Vue.component('fangshi-detail-6',{
    template:`
    <div class="mt40">
    <button class="button" @click="editBtn()">编辑</button>
    <div class="ui-grid p10">
        <div class="ui-col-1">
            <div class="ui-grid">
                <div class="ui-col-0">姓名:</div>
                <div class="ui-col-1">
                    <el-input :readonly="!editable" v-model="name" placeholder="" clearable></el-input>
                </div>
            </div>
        </div>
        <div class="ui-col-1">
            <div class="ui-grid">
                <div class="ui-col-0">编号:</div>
                <div class="ui-col-1">
                    <el-input :readonly="!editable" v-model="number" placeholder="" clearable></el-input>
                </div>
            </div>
        </div>
    </div>
    <table class="table table-bordered">
        <tr>
            <td class="col-w120 c-t-center">性别</td>
            <td>
                <el-radio :disabled="!editable" v-model="radio" label="1">未知的性别</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">男</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">女</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="4">未说明的性别</el-radio>
            </td>
            <td colspan="2">
                出生日期
                <el-date-picker :readonly="!editable" v-model="data2" type="date" placeholder="选择日期">
                </el-date-picker>
            </td>
            <td>
                户籍地址
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
        </tr>
        <tr>
            <td class="col-w120 c-t-center">母亲身份证号</td>
            <td>
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td class="c-t-center">家庭住址</td>
            <td colspan="2">
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
        </tr>
        <tr>
            <td class="col-w120 c-t-center">父 亲</td>
            <td>
                姓名
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>
                职业
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>
                联系电话
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>
                出生日期
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>


        </tr>
        <tr>
            <td class="col-w120 c-t-center">母 亲</td>
            <td>
                姓名
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>
                职业
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>
                联系电话
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>
                出生日期
                <el-date-picker :readonly="!editable" v-model="data2" type="date" placeholder="选择日期">
                </el-date-picker>
            </td>
        </tr>
        <tr>
            <td colspan="2">出生孕周
                <input type="text"> 周
            </td>
            <td colspan="3">
                母亲妊娠期患病情况：
                <el-radio :disabled="!editable" v-model="radio" label="1">糖尿病</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">妊娠期高血压</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">其他</el-radio>
            </td>
        </tr>
        <tr>
            <td class="col-w120 c-t-center">助产机构名称</td>
            <td>
                出院时间
                <el-date-picker :readonly="!editable" v-model="data2" type="date" placeholder="选择日期">
                </el-date-picker>
            </td>
            <td colspan="2">
                出生情况：
                <el-radio :disabled="!editable" v-model="radio" label="1">顺产</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">胎头吸引</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">产钳</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="4">剖宫</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="5">双多胎</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="5">臀位</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="5">其他</el-radio>
            </td>
            <td>
                新生儿窒息:
                <el-radio :disabled="!editable" v-model="radio" label="1">无</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="1">有</el-radio>
                （Apgar 评分：1分钟——分，5分钟——分，不详）
            </td>
        </tr>
        <tr>
            <td colspan="2">新生儿期病史:
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td>诊治机构:
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
            <td colspan="2">计划免疫情况:
                <el-radio :disabled="!editable" v-model="radio" label="1">卡介苗</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">乙肝疫苗</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">以上两种</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="4">未种</el-radio>

            </td>
        </tr>
        <tr>
            <td colspan="2">新生儿出生体重:
                <input type="text"> kg
            </td>
            <td>出生身长:
                <input type="text"> cm
            </td>
            <td colspan="2">是否有畸形：
                <el-radio :disabled="!editable" v-model="radio" label="1">无</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">有</el-radio>
            </td>
        </tr>
        <tr>
            <td class="c-t-center" colspan="5">
                *********** 第二次访视以上八行信息不需要重复填写 ***********
            </td>
        </tr>
        <tr>
            <td colspan="5">
                新生儿疾病筛查：
                <el-radio :disabled="!editable" v-model="radio" label="1">未进行</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">检查均阴性</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">甲低</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="4">苯丙酮尿症</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="5">其他遗传代谢病</el-radio>
                <input type="text">
                <el-radio :disabled="!editable" v-model="radio" label="6">已查无结果</el-radio>

            </td>
        </tr>
        <tr>
            <td colspan="4">
                新生儿听力筛查：
                <el-radio :disabled="!editable" v-model="radio" label="1">通过</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">未通过</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">未筛查</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="4">不详</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="5">已查无结果</el-radio>

            </td>
            <td colspan="1">
                目前体重
                <input type="text"> kg
            </td>
        </tr>
        <tr>
            <td colspan="3">
                喂养方式：
                <el-radio :disabled="!editable" v-model="radio" label="1">纯母乳</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">部分母乳</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">人工</el-radio>
            </td>
            <td colspan="1">
                吃奶量
                <input type="text"> ml/次
            </td>
            <td colspan="1">
                吃奶次数
                <input type="text"> 次/日
            </td>
        </tr>
        <tr>
            <td colspan="3">
                呕吐：
                <el-radio :disabled="!editable" v-model="radio" label="1">无</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">有</el-radio>
            </td>
            <td colspan="1">
                大便：
                <el-radio :disabled="!editable" v-model="radio" label="1">糊状</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">稀</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">其他</el-radio>
            </td>
            <td colspan="1">
                大便次数
                <input type="text"> 次/日
            </td>
        </tr>
        <tr>
            <td colspan="3">
                体温：
                <input type="text">℃
            </td>
            <td colspan="1">
                心率：
                <input type="text">次/分钟
            </td>
            <td colspan="1">
                呼吸频率
                <input type="text"> 次/日
            </td>
        </tr>
        <tr>
            <td colspan="3">面色：
                <el-radio :disabled="!editable" v-model="radio" label="1">红润</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">黄染</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">其他</el-radio>
                <input type="text">
            </td>
            <td colspan="2">黄疸部位：
                <el-radio :disabled="!editable" v-model="radio" label="1">面部</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">躯干</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">四肢</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">手足</el-radio>
            </td>
        </tr>
        <tr>
            <td colspan="5">
                前卤
                <input type="text">cm✖
                <input type="text">cm
                <el-radio :disabled="!editable" v-model="radio" label="1">正常</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">膨隆</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">凹陷</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">其他</el-radio>
                <input type="text">
            </td>
        </tr>
        <tr>
            <td class="table2Td" colspan="5">
                <table class="table2">
                    <tr>
                        <td>眼外观：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>四肢活动度：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                    <tr>
                        <td>耳外观：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>颈部包块：
                            <el-radio :disabled="!editable" v-model="radio" label="1">无</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">有</el-radio>
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                    <tr>
                        <td>鼻：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>皮肤：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">湿疹</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="3">糜烂</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="4">其他</el-radio>
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                    <tr>
                        <td>口腔：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>肛门：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                    <tr>
                        <td>心肺听诊：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>外生殖器：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                    <tr>
                        <td>腹部触诊：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>脊柱：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未见异常</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">异常</el-radio>
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                    <tr>
                        <td>脐带：
                            <el-radio :disabled="!editable" v-model="radio" label="1">未脱</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="2">脱落</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="3">脐带有渗出</el-radio>
                            <el-radio :disabled="!editable" v-model="radio" label="4">其他</el-radio>
                            <input type="text" name="" id="">
                        </td>
                        <td>其他：
                            <input type="text" name="" id="">
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="5">
                转诊意见:
                <el-radio :disabled="!editable" v-model="radio" label="1">无</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">有</el-radio>
                原因：
                <input type="text" style="width: calc(100% - 520px);">
                <br> 机构及科室：
                <input type="text" style="width: calc(100% - 385px);margin-top: 10px;">

            </td>
        </tr>
        <tr>
            <td colspan="5">
                指导：
                <el-radio :disabled="!editable" v-model="radio" label="1">喂养指导</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="2">发育指导</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="3">防痢指导</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="4">预防伤害指导</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="5">口腔保健指导</el-radio>
                <el-radio :disabled="!editable" v-model="radio" label="6">其他</el-radio>
                <input type="text">
            </td>
        </tr>
        <tr>
            <td colspan="2">
                本次访视日期
                <el-date-picker :readonly="!editable" v-model="data2" type="date" placeholder="选择日期">
                </el-date-picker>
            </td>
            <td colspan="3">
                下次随访地点
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                下次访视日期
                <el-date-picker :readonly="!editable" v-model="data2" type="date" placeholder="选择日期">
                </el-date-picker>
            </td>
            <td colspan="3">
                随访医生签名
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
                家属确认签字
                <el-input :readonly="!editable" v-model="input" placeholder="" clearable></el-input>
            </td>
        </tr>
    </table>
    </div>
    `,
    props: ['followupid'],
    data:function(){
        return {
            editable: true,
            data2: "",
            radio: "",
            input: '',
            name:'',
            number:'',
        }
    },
    mounted:function(){

    },
    watch:{},
    methods:{
        editBtn:function(){

        }

    }
})